> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List aggregated subnet usage

> Returns subnet usage



## OpenAPI

````yaml openapi/billing.yaml get /v1/common/market/subnetUsage
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/common/market/subnetUsage:
    get:
      tags:
        - Common / Market
      summary: List aggregated subnet usage
      description: Returns subnet usage
      operationId: API-Pub-Common-Market-SubnetUsage
      parameters:
        - name: mask
          in: query
          description: mask
          schema:
            maximum: 24
            minimum: 1
            type: integer
        - name: period
          in: query
          description: time period
          schema:
            type: string
            oneOf:
              - type: string
                format: date_time
              - enum:
                  - now
                type: string
        - name: sort
          in: query
          description: Sort. If direction is not provided defaults to descending.
          schema:
            type: array
            items:
              enum:
                - mask
                - period
              type: string
        - name: direction
          in: query
          description: Sorting direction. If not provided defaults to descending
          schema:
            type: array
            items:
              enum:
                - desc
                - asc
              type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.Common.Statistics.SubnetUsageCollection
              example:
                - mask: 0
                  free: 0
                  in_use: 0
                  price_min: 0
                  price_max: 0
                  price_avg: 0
                  period: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    API.Pub.Resources.Common.Statistics.SubnetUsageCollection:
      type: array
      items:
        $ref: >-
          #/components/schemas/API.Pub.Resources.Common.Statistics.SubnetUsageResource
    API.Pub.Resources.Common.Statistics.SubnetUsageResource:
      type: object
      properties:
        mask:
          maximum: 24
          minimum: 1
          type: integer
        free:
          type: integer
        in_use:
          type: integer
        price_min:
          type: number
          format: float
        price_max:
          type: number
          format: float
        price_avg:
          type: number
          format: float
        period:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````